> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi/construction-job-cost/get-construction-job-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get construction job by ID GET https://api.propexo.com/v1/construction-jobs/{construction_job_id} Get construction job by ID Reference: https://docs.propexo.com/api-reference/yardi/construction-job-cost/get-construction-job-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `construction_job_id` (string, required) — The ID of the construction job ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (ConstructionJob, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### ConstructionJob - `id` (string, required) — The Propexo unique identifier for the construction job - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Job Cost | ExportJob | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Job Cost | ExportJob | - `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI - `x_gl_account_id` (any, required) — The external ID of the general ledger account from the integration vendorThis field will always be null for YARDI - `actual_end_date` (any, required) — The actual date the construction job endedThis field will always be null for YARDI - `actual_start_date` (string, required, nullable) — The actual date the construction job started | Interface | Method | |---|---| | Job Cost | ExportJob | - `name` (string, required) — The name associated with the construction job | Interface | Method | |---|---| | Job Cost | ExportJob | - `planned_end_date` (string, required, nullable) — The date the construction job was planned to end | Interface | Method | |---|---| | Job Cost | ExportJob | - `planned_start_date` (string, required, nullable) — The date the construction job was planned to start | Interface | Method | |---|---| | Job Cost | ExportJob | - `status_normalized` (any, required) — The normalized status for the construction jobThis field will always be null for YARDI - `status_raw` (string, required, nullable) — The raw status associated with the construction job | Interface | Method | |---|---| | Job Cost | ExportJob | - `total_budget_in_cents` (any, required) — The total budget for the construction jobThis field will always be null for YARDI - `custom_data` (ConstructionJobCustomData, required, nullable) - `property_id` (string, required) — The Propexo unique identifier for the property - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `YARDI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI_REST` ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### ConstructionJobCustomData ## Examples **Request** ```json {} ``` **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "JOB-20240321-001", "x_property_id": "PROP-987654321", "x_location_id": null, "x_gl_account_id": null, "actual_end_date": null, "actual_start_date": "2024-03-20T08:00:00Z", "name": "Lobby Renovation Phase 1", "planned_end_date": "2024-04-15T17:00:00Z", "planned_start_date": "2024-03-18T08:00:00Z", "status_normalized": null, "status_raw": "In Progress", "total_budget_in_cents": null, "custom_data": {}, "property_id": "clwi5xiix000008l6ctdgafyh", "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "YARDI" } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/construction-jobs/construction_job_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/construction-jobs/construction_job_id'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/construction-jobs/construction_job_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/construction-jobs/construction_job_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/construction-jobs/construction_job_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/construction-jobs/construction_job_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/construction-jobs/construction_job_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/construction-jobs/construction_job_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```